Loading...
Searching...
No Matches
BD_DIR_H Struct Reference

Directory access. More...

## Data Fields

void * | internal
| reserved for BD_DIR_H implementation use
void(* | close )(BD_DIR_H *dir)
| Close directory stream.
int(* | read )(BD_DIR_H *dir, BD_DIRENT *entry)
| Read next directory entry.

## Detailed Description

Directory access.

## Field Documentation

## close

void(* BD_DIR_H::close) (BD_DIR_H *dir)

Close directory stream.

Parameters

  dir | BD_DIR_H object

## read

int(* BD_DIR_H::read) (BD_DIR_H *dir, BD_DIRENT *entry)

Read next directory entry.

Parameters

  dir | BD_DIR_H object
  entry | BD_DIRENT where to store directory entry data

Returns
  0 on success, 1 on EOF, <0 on error

The documentation for this struct was generated from the following file:

- filesystem.h